deferred class
	EQUALITY_EXAMPLE

inherit
	ANY
		redefine
			is_equal
		end

feature -- Comparison

	is_equal (other: like Current): BOOLEAN is
			-- Is `other' considered equal to `current'?
		do
			Result := equals (other)
		ensure then
			implementation_of_equal : Result.is_equal (equals (other))
		end

	equals (other: ANY): BOOLEAN is
			-- Is `other' mathematically equivalent to `current'?
		deferred
		end

end -- class EQUALITY_EXAMPLE