indexing
	description: "Mathematical objects that can be extended by elements"

deferred class
	MML_EXTENDIBLE [G]

inherit
	MML_ANY
		undefine
			equals, is_equal, untyped,
			is_pair_valued, is_set_valued,
			is_relation_valued, is_function_valued,
			is_graph_valued, is_sequence_valued
		end

feature {MML_ANY} -- Implementation

	extend (other: G) is
			-- Ensure that `current' includes `other'.
			-- CAUTION: This feature is not pure
		require
			other_not_void: other /= Void
		deferred
		end

	prune (other: G) is
			-- Ensure that `current' does not include `other'.
			-- CAUTION: This feature is not pure
		require
			other_not_void: other /= Void
		deferred
		end

end -- class MML_EXTENDIBLE