indexing
	description: "Mathematical objects that can be queried for type properties"

deferred class
	MML_TYPEABLE [G -> MML_ANY]

inherit
	MML_ANY
		undefine
			equals, is_equal, untyped,
			is_pair_valued, is_set_valued,
			is_relation_valued, is_function_valued,
			is_graph_valued, is_sequence_valued
		end

feature -- Type

	is_compatible (other : MML_ANY) : BOOLEAN is
			-- Is `other' mathematically compatible to `current' ?
		require
			other_not_void : other /= Void
		deferred
		end

invariant
	reflexive_compatiblity_relation : is_compatible (Current)

end -- class MML_TYPEABLE