indexing
	description: "Root class of the Mathematical Model Library (MML)"

class
	MML

create
	make

feature -- Entry Point

	make is
			-- The entry point of the MML library.
		do
		end

feature -- Declaration

	declarations is
			-- Dummy feature declarations.
		local
			specification_any : SPECIFICATION_ANY
			specification_bounded : SPECIFICATION_BOUNDED[INTEGER]
			specification_collection : SPECIFICATION_COLLECTION[INTEGER]
			specification_container : SPECIFICATION_CONTAINER[INTEGER]
			specification_linear : SPECIFICATION_LINEAR[INTEGER]
			specification_traversable : SPECIFICATION_TRAVERSABLE[INTEGER]
			specification_bag : SPECIFICATION_BAG[INTEGER]
			specification_set : SPECIFICATION_SET[INTEGER]
			specification_subset : SPECIFICATION_SUBSET[INTEGER]
			specification_traversable_subset : SPECIFICATION_TRAVERSABLE_SUBSET[INTEGER]
			specification_linear_subset : SPECIFICATION_LINEAR_SUBSET[INTEGER]
			specification_box: SPECIFICATION_BOX[INTEGER]
			specification_finite: SPECIFICATION_FINITE[INTEGER]
			specification_bilinear: SPECIFICATION_BILINEAR[INTEGER]
			specification_active: SPECIFICATION_ACTIVE[INTEGER]
			specification_table: SPECIFICATION_TABLE[INTEGER, INTEGER]
			specification_indexable: SPECIFICATION_INDEXABLE[INTEGER, INTEGER]
			specification_cursor: SPECIFICATION_CURSOR
			specification_cursor_structure: SPECIFICATION_CURSOR_STRUCTURE[INTEGER]
			specification_integer_interval: SPECIFICATION_INTEGER_INTERVAL
			specification_resizable: SPECIFICATION_RESIZABLE[INTEGER]
			specification_dispenser: SPECIFICATION_DISPENSER[INTEGER]
			specification_sequence: SPECIFICATION_SEQUENCE[INTEGER]
			specification_stack: SPECIFICATION_STACK[INTEGER]
			specification_queue: SPECIFICATION_QUEUE[INTEGER]
			specification_chain: SPECIFICATION_CHAIN[INTEGER]
			specification_dynamic_chain: SPECIFICATION_DYNAMIC_CHAIN[INTEGER]
			specification_unbounded: SPECIFICATION_UNBOUNDED[INTEGER]
			specification_dynamic_list: SPECIFICATION_DYNAMIC_LIST[INTEGER]
			specification_to_special: SPECIFICATION_TO_SPECIAL[INTEGER]
			specification_array: SPECIFICATION_ARRAY[INTEGER]

			documentation_reduceable_set: REDUCEABLE_SET[INTEGER, INTEGER]
			documentation_set_example: SET_EXAMPLE[INTEGER]
			documentation_bag_example: BAG_EXAMPLE[INTEGER]
			documentation_compositor_example: COMPOSITOR_EXAMPLE[INTEGER, INTEGER, INTEGER]
			documentation_equality_example: EQUALITY_EXAMPLE
			documentation_pair_example: PAIR_EXAMPLE [INTEGER, INTEGER]
			documentation_chain_example: CHAIN_EXAMPLE [INTEGER]
			documentation_dynamic_chain_example: DYNAMIC_CHAIN_EXAMPLE[INTEGER]
			documentation_subset_example: SUBSET_EXAMPLE[INTEGER]
		do
		end

end -- class MML