deferred class SPECIFICATION_ANY

inherit
	ANY
		export
			{SPECIFICATION_ANY}
				all
		undefine
			copy, is_equal
		end

feature -- Comparison

	is_equal (other: like Current): BOOLEAN is
			-- Is `other' attached to an object considered
			-- equal to current object?
		deferred
		ensure then
			pure_feature: is_equal (old Current)
			immutable_argument: other.is_equal (old other)
			symmetric_equality_relation: Result implies other.is_equal (Current)
		end

end -- class SPECIFICATION_ANY