deferred class SPECIFICATION_FINITE [G]

inherit
	SPECIFICATION_BOX [G]

feature -- Measurement

	count: INTEGER is
			-- Number of items
		deferred
		ensure
			pure_feature: is_equal (old Current)
			non_negative_result: Result >= 0
		end

feature -- Status report

	is_empty: BOOLEAN is
			-- Is structure empty?
		deferred
		ensure then
			definition_of_empty: Result.is_equal (count.is_equal (0))
		end

invariant
	definition_of_empty: is_empty.is_equal (count.is_equal (0))
	non_negative_count: count >= 0

end -- class SPECIFICATION_FINITE