deferred class
	SUBSET_EXAMPLE [G]

inherit
	SPECIFICATION_SET[G]
		rename
			set_model as set
		end

feature -- Disjointess

	disjoint (other: SUBSET_EXAMPLE[G]): BOOLEAN is
			-- Do current set and `other' have no items in common?
		require
			other /= Void
			object_comparison.is_equal (other.object_comparison)
		deferred
		ensure
			Result.is_equal (set.is_disjoint (other.set))
			Result.is_equal (set.intersected (other.set).is_empty)
			(set.is_empty or other.set.is_empty) implies Result
			is_equal (old Current)
			other.is_equal (old other)
			set.is_equal (old set)
		end

end -- class SUBSET_EXAMPLE