indexing
	description: "Mathematical objects that support conversion of elements"

deferred class
	MML_CONVERTIBLE [G]

inherit
	MML_ANY
		undefine
			equals, is_equal, untyped,
			is_pair_valued, is_set_valued,
			is_relation_valued, is_function_valued,
			is_graph_valued, is_sequence_valued
		end

feature -- Conversion

	identity_pair (other : G) : MML_PAIR[G, G] is
			-- The element `other' as identity pair
		require
			other_not_void : other /= Void
		deferred
		ensure
			result_is_identity : Result.is_identity
		end

end -- class MML_CONVERTIBLE