indexing
	description: "Mathematical objects whose elements can be mapped to other elements of different type"

deferred class
	MML_MAPPABLE[G, H]

inherit
	MML_ANY
		undefine
			equals, is_equal, untyped,
			is_pair_valued, is_set_valued,
			is_relation_valued, is_function_valued,
			is_graph_valued, is_sequence_valued
		end

feature -- Mapping

	mapped (mapping: FUNCTION [ANY, TUPLE [G], H]) : MML_SET[H] is
			-- The object containing all elements in `current' mapped using the `mapping' function.
		require
			mapping_not_void : mapping /= Void
		deferred
		end

end -- class MML_MAPPABLE